org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class CancelStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.CancelStageVerification

    public class CancelStageVerification
    extends java.lang.Object

Verification for the cancel stage.

### Nested Class Summary

Nested Classes
`class` `CancelStageVerification.SubscriberVerification`

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancelStageShouldCancelTheStage()`
`void` `cancelStageShouldIgnoreAnyUpstreamFailures()`
`void` `cancelSubscriberBuilderShouldBeReusable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### cancelStageShouldCancelTheStage

    public void cancelStageShouldCancelTheStage()

#### cancelStageShouldIgnoreAnyUpstreamFailures

    public void cancelStageShouldIgnoreAnyUpstreamFailures()

#### cancelSubscriberBuilderShouldBeReusable

    public void cancelSubscriberBuilderShouldBeReusable()